Package org.apache.aries.jax.rs.rest.management.schema

## Class BundleHeaderAdapter

- java.lang.Object
- - javax.xml.bind.annotation.adapters.XmlAdapter<BundleHeaderAdapter.BundleHeaderAdapted,​BundleHeaderSchema>
  - - org.apache.aries.jax.rs.rest.management.schema.BundleHeaderAdapter

    public class BundleHeaderAdapter
    extends XmlAdapter<BundleHeaderAdapter.BundleHeaderAdapted,​BundleHeaderSchema>

### Nested Class Summary

Nested Classes
`static class` `BundleHeaderAdapter.BundleHeaderAdapted`
`static class` `BundleHeaderAdapter.Header`

### Constructor Summary

Constructors
`BundleHeaderAdapter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`BundleHeaderAdapter.BundleHeaderAdapted` `marshal​(BundleHeaderSchema bundleHeaderSchema)`
`BundleHeaderSchema` `unmarshal​(BundleHeaderAdapter.BundleHeaderAdapted adapter)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BundleHeaderAdapter

    public BundleHeaderAdapter()

### Method Detail

#### marshal

    public BundleHeaderAdapter.BundleHeaderAdapted marshal​(BundleHeaderSchema bundleHeaderSchema)
                                                    throws Exception

Specified by:
  `marshal` in class `XmlAdapter<BundleHeaderAdapter.BundleHeaderAdapted,​BundleHeaderSchema>`
Throws:
  `Exception`

#### unmarshal

    public BundleHeaderSchema unmarshal​(BundleHeaderAdapter.BundleHeaderAdapted adapter)
                                 throws Exception

Specified by:
  `unmarshal` in class `XmlAdapter<BundleHeaderAdapter.BundleHeaderAdapted,​BundleHeaderSchema>`
Throws:
  `Exception`